<app-search-bar></app-search-bar>
<div class="details-container m-t-20">
  <div class="related-devices">
    <div class="title">
      Related Devices
    </div>
    <div class="devices-list">
      <div *ngIf="deviceDetails">
        <app-device-related *ngFor="let relatedDevice of deviceDetails.relatedDevices" [type] = "relatedDevice.type" [name] = "relatedDevice.name" [status] = "relatedDevice.status"></app-device-related>
      </div>
    </div>
  </div>
  <div class="details">
    <div class="title" *ngIf="deviceDetails">
      Details: {{deviceDetails.name}}
    </div>
    <div class="params p-10">
      <div *ngIf="deviceDetails">Status: {{deviceDetails.status}}</div>
      <div *ngIf="deviceDetails">Temperature: {{deviceDetails.temperature}} {{deviceDetails.temperatureUnit}}</div>
      <div>Usage:</div>
      <div class="usage"></div>
    </div>
  </div>
</div>
